Wonder
post/svc/payment/api/v1/openapi/orders

Create an order

Pre-creates an order on Wonder and returns the order number for the Payment SDK / ECR to complete payment, with an option to also generate a payment link.

Query parameters

with_payment_link
boolean

If you need create wonder payment link

Example: true

Header parameters

Signature
string

Example: good

Credential
string

Example: {{credential}}

x-request-id
string

Example: {{$string.uuid}}

x-i18n-lang
string

Example: zh-CN

Content-typerequired
string

Example: application/json

Request body · application/json

required
object
note
string

Note information for the order, needs to be less than 255 characters

tips
string

Additional tips to be paid by customers

Example: 0.00

object

The timeout logic only can be used by creating payment link

currencyrequired
string

Currency code, eg HKD

due_date
string

If this date is exceeded, the order will be automatically voided

Example: 2024-01-01

charge_feerequired
string

The amount you charge your customers

Example: 0.00

array<object>

If you wish to display additional line item information

callback_url
string<url>

The address of the backend webhook

Example: https://yourservicemain/yourpath

redirect_url
string<url>

The redirection address after the payment link is completed

Example: https://yourservicemain/yourwebpage

object

Options to be displayed in the payment link

save_this_card
boolean

A flag that determines whether to offer tokenize card choise. This function is only triggered when set to true and customer is specified

is_only_pre_auth
boolean

Whether the order supports pre-authorization only

reference_numberrequired
string

Your side unique number

object
object
app_id
string<uuid>

Openapi appid for create order from ECR.

Example: 6c2bb3e7-e020-4a98-a085-819909ecffc4

customer_uuid
string<uuid>

Customer uuid created by customer API

Example: 437929be-dbed-48f1-971c-adbeb9c3e1f6

Responses

coderequired
number

Response code

object

Response data

required
object
payment_link
string

If you pass with_payment_link=true query params

Example: https://xxxxxxxxx

messagerequired
string

Response message